Update status page settings
PUT
/api/status-page/settings
const url = 'https://gateway.example.com/api/status-page/settings';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"enabled":true,"title":"example","description":"example","domain":"","nodeId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","ingressGroupId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","sslCertificateId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","proxyTemplateId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","upstreamUrl":"","publicIncidentLimit":1,"recentIncidentDays":1,"autoDegradedEnabled":true,"autoOutageEnabled":true,"autoDegradedSeverity":"info","autoOutageSeverity":"info","autoCreateThresholdSeconds":1,"autoResolveThresholdSeconds":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://gateway.example.com/api/status-page/settings \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "enabled": true, "title": "example", "description": "example", "domain": "", "nodeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "ingressGroupId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "sslCertificateId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "proxyTemplateId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "upstreamUrl": "", "publicIncidentLimit": 1, "recentIncidentDays": 1, "autoDegradedEnabled": true, "autoOutageEnabled": true, "autoDegradedSeverity": "info", "autoOutageSeverity": "info", "autoCreateThresholdSeconds": 1, "autoResolveThresholdSeconds": 1 }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”JSON request body
Media typeapplication/json
object
enabled
boolean
title
string
description
string
nodeId
string | null format: uuid
ingressGroupId
string | null format: uuid
sslCertificateId
string | null format: uuid
proxyTemplateId
string | null format: uuid
publicIncidentLimit
integer
recentIncidentDays
integer
autoDegradedEnabled
boolean
autoOutageEnabled
boolean
autoDegradedSeverity
string
autoOutageSeverity
string
autoCreateThresholdSeconds
integer
autoResolveThresholdSeconds
integer
Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
data
required
Resource object. Exact fields depend on the endpoint.
object
id
string
name
string
key
additional properties
Example
{ "data": { "id": "550e8400-e29b-41d4-a716-446655440000", "name": "API", "status": "operational", "public": true }}Bad request
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "VALIDATION_ERROR", "message": "Request validation failed", "details": [ { "path": [ "name" ], "message": "Required" } ]}Authentication required
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "UNAUTHORIZED", "message": "Authentication required"}Forbidden
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "FORBIDDEN", "message": "Insufficient permissions"}Not found
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "NOT_FOUND", "message": "Resource not found"}Conflict
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "CONFLICT", "message": "Resource already exists"}Unprocessable entity
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "UNPROCESSABLE_ENTITY", "message": "Request could not be processed"}Internal server error
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "INTERNAL_ERROR", "message": "Internal server error"}